# $Revision: 1.52 $, $Date: 2010/03/08 13:36:05 $
#
# Conditional build:
%bcond_with	kde		# disable KDE support
#
Summary:	twinkle - SIP Soft Phone
Summary(pl.UTF-8):	twinkle - telefon programowy SIP
Name:		twinkle
Version:	1.4.2
Release:	7
License:	GPL v2
Group:		Applications/Communications
Source0:	http://www.xs4all.nl/~mfnboer/twinkle/download/%{name}-%{version}.tar.gz
# Source0-md5:	d70c8972f296ffd998c7fb698774705b
Source1:	%{name}.desktop
Patch0:		%{name}-nobind.patch
Patch1:		%{name}-build.patch
URL:		http://www.twinklephone.com/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	ccrtp-devel >= 1.7.1
BuildRequires:	commoncpp2-devel >= 1.7.1
%{?with_kde:BuildRequires:	kdelibs-devel}
BuildRequires:	libgsm-devel >= 1.0.11
BuildRequires:	libilbc-devel
BuildRequires:	libmagic-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libzrtpcpp-devel >= 1.4.3
BuildRequires:	pkgconfig
BuildRequires:	qmake
BuildRequires:	qt-devel >= 6:3.3.0
BuildRequires:	qt-linguist
BuildRequires:	speex-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twinkle is a SIP based soft phone for making telephone calls over IP
networks.

%description -l pl.UTF-8
Twinkle to oparty na SIP programowy telefon do wykonywania połączeń
telefonicznych po sieciach IP.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
export QTDIR=%{_prefix}
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	%{!?with_kde:--without-kde} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/gui/images/twinkle48.png $RPM_BUILD_ROOT%{_pixmapsdir}/twinkle.png
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/twinkle
%{_pixmapsdir}/twinkle.png
%{_desktopdir}/twinkle.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: twinkle.spec,v $
Revision 1.52  2010/03/08 13:36:05  hawk
- release 7

Revision 1.51  2009/12/31 08:56:31  arekm
- release 6

Revision 1.50  2009/08/29 17:47:56  arekm
- disable kde (no kde4 support)

Revision 1.49  2009/08/29 11:06:59  pluto
- release 5 (rebuild with boost-1.40.0)

Revision 1.48  2009/08/28 22:48:24  arekm
- release 4

Revision 1.47  2009/06/21 11:48:22  hawk
- release 3

Revision 1.46  2009/05/03 23:07:30  hawk
- release 2

Revision 1.45  2009/02/27 21:41:55  arekm
- up to 1.4.2

Revision 1.44  2009/01/27 22:28:15  hawk
- release 4

Revision 1.43  2009/01/10 20:52:23  arekm
- release 3

Revision 1.42  2008/11/17 20:53:39  qboosh
- missing update info

Revision 1.41  2008/11/17 20:52:33  arekm
- release 2
[updated to 1.3.2]

Revision 1.40  2008/11/07 19:23:20  sls
- BR: libmagic-devel

Revision 1.39  2008/11/07 12:30:38  arekm
- release 3

Revision 1.38  2008/09/10 11:17:39  hawk
- release 2

Revision 1.37  2008/08/23 11:15:54  arekm
- up to 1.3

Revision 1.36  2008/08/21 12:02:52  hawk
- release 4

Revision 1.35  2008/05/27 08:39:05  arekm
- rel 3

Revision 1.34  2008-05-12 13:52:23  shadzik
- rel 2

Revision 1.33  2008-04-29 14:06:08  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.32  2008-03-13 10:29:15  arekm
- up to 1.2

Revision 1.31  2008-01-16 07:42:26  arekm
- rel 3

Revision 1.30  2008-01-07 15:44:09  glen
- rel 2

Revision 1.29  2007-08-03 08:44:05  arekm
- up to 1.1

Revision 1.28  2007/06/21 18:57:07  arekm
- rel 2

Revision 1.27  2007/06/14 18:45:15  arekm
- up to 1.0.1

Revision 1.26  2007/02/28 00:44:59  arekm
- rel 1

Revision 1.25  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.23  2007/01/17 12:25:43  kosmo
- use system libgsm
- official bugfixes
- rel 3

Revision 1.22  2007/01/02 11:08:10  arekm
- rel 2

Revision 1.21  2006/11/10 11:20:57  arekm
- add BR libzrtpcpp-devel

Revision 1.20  2006/11/10 10:22:01  arekm
- up to 0.9

Revision 1.19  2006/07/10 15:59:28  charles
- updated to 0.8.1
- BR: libilbc-devel
- rm obsolete -userprofileform_map.patch

Revision 1.18  2006/07/03 23:30:27  charles
- updated to 0.8
- BR: boost-regex-devel
- added -userprofileform_map.patch; -from-mainwindow.patch commented out

Revision 1.17  2006/06/12 09:58:05  arekm
- log from in main window

Revision 1.16  2006/05/07 21:12:06  charles
- updated to 0.7.1

Revision 1.15  2006/04/30 15:15:40  charles
- BR: speex-devel

Revision 1.14  2006/04/30 15:05:28  charles
- updated to 0.7
- libgsm-devel >= 1.0.11

Revision 1.13  2006/04/28 07:48:34  arekm
- rebuild

Revision 1.12  2006/04/27 22:01:41  arekm
- use external libgsm.

Revision 1.11  2006/04/25 22:49:25  prism
- added desktop file

Revision 1.10  2006/04/25 19:48:56  pluto
- overflow fix, release 3.1.

Revision 1.9  2006/04/25 16:18:19  arekm
- rebuild

Revision 1.8  2006/04/24 21:53:07  arekm
- rel 2; enable kde by default

Revision 1.7  2006/02/26 22:19:49  wiget
- updated to 0.6.2

Revision 1.6  2006/02/13 13:23:31  charles
- updated to 0.6.1

Revision 1.5  2006/02/06 12:01:20  charles
- updated to 0.6.0

Revision 1.4  2006/01/02 19:22:32  charles
- updated to 0.5

Revision 1.3  2005/12/07 20:56:49  charles
- rel. 1

Revision 1.2  2005/12/06 21:28:55  qboosh
- pl

Revision 1.1  2005/12/03 00:17:44  charles
- new
